Skip to main content
POST

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Path Parameters

purchaseOrderId
integer
required

ID of the purchase order

Body

application/json
payment_date
string<date>
required

Date of the payment (YYYY-MM-DD)

Example:

"2024-01-15"

payment_type
enum<string>
required

Type of payment

Available options:
cash,
credit_card,
debit_card,
check,
bank_transfer
Example:

"check"

paid_amount
number<float>
required

Amount paid

Required range: x >= 0.01
Example:

500

remarks
string | null

Payment remarks or notes

Maximum string length: 1000
Example:

"Check #1234"

external_id
string | null

External payment reference ID

Maximum string length: 255
Example:

"PAY-EXT-12345"

Response

Payment created successfully

data
object